KUBERNETES(1)

NAME

kubeadm alpha kubelet config enable-dynamic - EXPERIMENTAL: Enables or updates dynamic kubelet configuration for a Node

SYNOPSIS

kubeadm alpha kubelet config enable-dynamic [OPTIONS]

DESCRIPTION

Enables or updates dynamic kubelet configuration for a Node, against the kubelet-config-1.X ConfigMap in the cluster, where X is the minor version of the desired kubelet version.

WARNING: This feature is still experimental, and disabled by default. Enable only if you know what you are doing, as it may have surprising side-effects at this stage.

Alpha Disclaimer: this command is currently alpha.

OPTIONS

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--kubelet-version=""
    The desired version for the kubelet

--node-name=""
    Name of the node that should enable the dynamic kubelet configuration

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Enables dynamic kubelet configuration for a Node.
      kubeadm alpha phase kubelet enable-dynamic-config --node-name node-1 --kubelet-version 1.14.0

      WARNING: This feature is still experimental, and disabled by default. Enable only if you know what you are doing, as it
      may have surprising side-effects at this stage.

SEE ALSO

kubeadm-alpha-kubelet-config(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!